Loading...
Searching...
No Matches
OgreInput.h File Reference
`#include "OgreBitesPrerequisites.h"`
`#include <vector>`

## Classes

struct | OgreBites::AxisEvent
struct | OgreBites::ButtonEvent
union | OgreBites::Event
struct | OgreBites::HatEvent
struct | OgreBites::InputListener
| the return values of the callbacks are ignored by ApplicationContext however they can be used to control event propagation in a hierarchy. More...
class | OgreBites::InputListenerChain
| Chain of multiple InputListeners that acts as a single InputListener. More...
struct | OgreBites::KeyboardEvent
struct | OgreBites::Keysym
struct | OgreBites::MouseButtonEvent
struct | OgreBites::MouseMotionEvent
struct | OgreBites::MouseWheelEvent
struct | OgreBites::TextInputEvent
struct | OgreBites::TouchFingerEvent

## Namespaces

namespace | Ogre
namespace | OgreBites

## Typedefs

typedef int | OgreBites::Keycode

## Enumerations

enum

{
OgreBites::SDLK_DELETE = int('\177') , OgreBites::SDLK_RETURN = int('\r') , OgreBites::SDLK_ESCAPE = int('\033') , OgreBites::SDLK_SPACE = int(' ') ,
OgreBites::SDLK_F1 = (1 << 30) | 0x3A , OgreBites::SDLK_F2 , OgreBites::SDLK_F3 , OgreBites::SDLK_F4 ,
OgreBites::SDLK_F5 , OgreBites::SDLK_F6 , OgreBites::SDLK_F7 , OgreBites::SDLK_F8 ,
OgreBites::SDLK_F9 , OgreBites::SDLK_F10 , OgreBites::SDLK_F11 , OgreBites::SDLK_F12 ,
OgreBites::SDLK_PRINTSCREEN , OgreBites::SDLK_SCROLLLOCK , OgreBites::SDLK_PAUSE , OgreBites::SDLK_INSERT ,
OgreBites::SDLK_HOME , OgreBites::SDLK_PAGEUP , OgreBites::SDLK_END = (1 << 30) | 0x4D , OgreBites::SDLK_PAGEDOWN ,
OgreBites::SDLK_RIGHT , OgreBites::SDLK_LEFT , OgreBites::SDLK_DOWN , OgreBites::SDLK_UP ,
OgreBites::SDLK_NUMLOCKCLEAR , OgreBites::SDLK_KP_DIVIDE , OgreBites::SDLK_KP_MULTIPLY , OgreBites::SDLK_KP_MINUS ,
OgreBites::SDLK_KP_PLUS , OgreBites::SDLK_KP_ENTER , OgreBites::SDLK_KP_1 , OgreBites::SDLK_KP_2 ,
OgreBites::SDLK_KP_3 , OgreBites::SDLK_KP_4 , OgreBites::SDLK_KP_5 , OgreBites::SDLK_KP_6 ,
OgreBites::SDLK_KP_7 , OgreBites::SDLK_KP_8 , OgreBites::SDLK_KP_9 , OgreBites::SDLK_KP_0 ,
OgreBites::SDLK_KP_PERIOD , OgreBites::SDLK_LSHIFT = (1 << 30) | 0xE1 , OgreBites::KMOD_ALT = 0x0100 | 0x0200 , OgreBites::KMOD_CTRL = 0x0040 | 0x0080 ,
OgreBites::KMOD_GUI = 0x0400 | 0x0800 , OgreBites::KMOD_SHIFT = 0x0001 | 0x0002 , OgreBites::KMOD_NUM = 0x1000
}

enum | OgreBites::ButtonType { OgreBites::BUTTON_LEFT = 1 , OgreBites::BUTTON_MIDDLE , OgreBites::BUTTON_RIGHT }

enum

OgreBites::EventType {
OgreBites::KEYDOWN = 1 , OgreBites::KEYUP , OgreBites::MOUSEBUTTONDOWN , OgreBites::MOUSEBUTTONUP ,
OgreBites::MOUSEWHEEL , OgreBites::MOUSEMOTION , OgreBites::FINGERDOWN , OgreBites::FINGERUP ,
OgreBites::FINGERMOTION , OgreBites::TEXTINPUT , OgreBites::CONTROLLERAXISMOTION , OgreBites::CONTROLLERBUTTONDOWN ,
OgreBites::CONTROLLERBUTTONUP , OgreBites::JOYAXISMOTION , OgreBites::JOYHATMOTION
}